Put Settings (/financa5/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/financa5/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/financa5/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/financa5/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations & modules
Put Settings (/financa5/settings)
Salvataggio PARZIALE: un campo assente resta com’è. Password: omessa = tenuta, null/"" = cancellata.
- 422
financa5.settings_invalid,data.fields = [{field, type}];type:financa5.host_invalid,financa5.host_not_allowed,financa5.port_not_allowed,financa5.instance_invalid,financa5.database_invalid,financa5.username_invalid,financa5.password_invalid,plugin.secret_sealed,financa5.warehouse_invalid,financa5.warehouses_too_many,financa5.field_read_only(mode,connection),extra_forbidden(anchefinanca5_allowed), o il tipo Pydantic (int_parsing,literal_error…); - 409
financa5.connection_test_required/financa5.warehouses_required(data.while_enabled = true) ofinanca5.preview_required(data.while_active = true): a modulo acceso la connessione non cambia; - 503
secrets.encryption_unconfigured.
Cambiare la connessione cancella la prova. Audit financa5.settings_update con before/after OSCURATI (mai
utente né password) e meta.secrets_changed (["password"]), meta.connection_changed; nessun cambio, nessuna
riga.
PUT
/
api
/
v1
/
admin
/
financa5
/
settings
Put Settings (/financa5/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/financa5/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/financa5/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/financa5/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}